// FB Alpha v0.2.97.36 --- Config File for sfa3 (Street Fighter Alpha 3 (980904 Euro))

// --- Miscellaneous ----------------------------------------------------------

version 0x029736

analog  0x0100
cpu     0x0100



// --- Inputs -----------------------------------------------------------------

input  "P1 Coin"          switch 0x03
input  "P1 Start"         switch 0x02
input  "P1 Up"            switch 0x11
input  "P1 Down"          switch 0x1F
input  "P1 Left"          switch 0x1E
input  "P1 Right"         switch 0x20
input  "P1 Weak Punch"    switch 0x23
input  "P1 Medium Punch"  switch 0x24
input  "P1 Strong Punch"  switch 0x15
input  "P1 Weak Kick"     switch 0x16
input  "P1 Medium Kick"   switch 0x25
input  "P1 Strong Kick"   switch 0x17
input  "P2 Coin"          switch 0x0A
input  "P2 Start"         switch 0x09
input  "P2 Up"            switch 0x4002
input  "P2 Down"          switch 0x4003
input  "P2 Left"          switch 0x4000
input  "P2 Right"         switch 0x4001
input  "P2 Weak Punch"    switch 0x4080
input  "P2 Medium Punch"  switch 0x4081
input  "P2 Strong Punch"  switch 0x4082
input  "P2 Weak Kick"     switch 0x4083
input  "P2 Medium Kick"   switch 0x4084
input  "P2 Strong Kick"   switch 0x4085
input  "Reset"            switch 0x3D
input  "Diagnostic"       switch 0x3C
input  "Service"          switch 0x0A
input  "Volume Up"        undefined
input  "Volume Down"      undefined

macro  "System Pause"     undefined
macro  "System FFWD"      undefined
macro  "System Load State" undefined
macro  "System Save State" undefined
macro  "System UNDO State" undefined
macro  "P1 Auto-Fire Button 1" undefined
macro  "P1 Auto-Fire Button 2" undefined
macro  "P1 Auto-Fire Button 3" undefined
macro  "P1 Auto-Fire Button 4" undefined
macro  "P1 Auto-Fire Button 5" undefined
macro  "P1 Auto-Fire Button 6" undefined
macro  "P1 Auto-Fire Button 7" undefined
macro  "P1 Auto-Fire Button 8" undefined
macro  "P2 Auto-Fire Button 1" undefined
macro  "P2 Auto-Fire Button 2" undefined
macro  "P2 Auto-Fire Button 3" undefined
macro  "P2 Auto-Fire Button 4" undefined
macro  "P2 Auto-Fire Button 5" undefined
macro  "P2 Auto-Fire Button 6" undefined
macro  "P2 Auto-Fire Button 7" undefined
macro  "P2 Auto-Fire Button 8" undefined
macro  "P1 3?Punch"       switch 0x21
macro  "P1 3?Kick"        switch 0x2F
macro  "P2 3?Punch"       undefined
macro  "P2 3?Kick"        undefined
